Closed Bug 663454 Opened 9 years ago Closed 8 months ago

[Java] UnsatisfiedLinkError in Runtime.loadLibrary()

Categories

(Firefox for Android Graveyard :: General, defect, critical)

Firefox 5
ARM
Android
defect
Not set
critical

Tracking

(firefox5 affected)

RESOLVED WONTFIX
Tracking Status
firefox5 --- affected

People

(Reporter: mfinkle, Unassigned)

Details

(Keywords: crash)

Stack traces 
v5.0 Jun 8, 2011 4:36:55 PM 1 reports/week 0% 1reports 
--------------------------------------------------------------------------------

java.lang.UnsatisfiedLinkError: Cannot load library: reloc_library[1311]: 183 cannot locate ' '...

at java.lang.Runtime.loadLibrary(Runtime.java:434)
at java.lang.System.loadLibrary(System.java:554)
at org.mozilla.gecko.GeckoAppShell.loadGeckoLibs(GeckoAppShell.java:265)
at org.mozilla.gecko.GeckoApp$3.run(GeckoApp.java:221)
at java.lang.Thread.run(Thread.java:1019)

--------------------------------------------------------------------------------

v5.0 Jun 2, 2011 2:00:06 AM 0 reports/week 0% 2reports 
--------------------------------------------------------------------------------

java.lang.UnsatisfiedLinkError: Couldn't load mozutils: findLibrary returned null
at java.lang.Runtime.loadLibrary(Runtime.java:429)
at java.lang.System.loadLibrary(System.java:554)
at org.mozilla.gecko.GeckoAppShell.loadGeckoLibs(GeckoAppShell.java:265)
at org.mozilla.gecko.GeckoApp$3.run(GeckoApp.java:221)
at java.lang.Thread.run(Thread.java:1019)

--------------------------------------------------------------------------------

v5.0 May 24, 2011 6:48:58 AM 0 reports/week 0% 1reports 
--------------------------------------------------------------------------------

java.lang.UnsatisfiedLinkError: Cannot load library: load_segments[928]: 179 failed to map segment from 'libmozutils.so' @ 0x80400000 (0x00009094). p_vaddr=0x00000000 p_offset=0x00000000
at java.lang.Runtime.loadLibrary(Runtime.java:434)
at java.lang.System.loadLibrary(System.java:554)
at org.mozilla.gecko.GeckoAppShell.loadGeckoLibs(GeckoAppShell.java:265)
at org.mozilla.gecko.GeckoApp$3.run(GeckoApp.java:221)
at java.lang.Thread.run(Thread.java:1019)

User Messages:
Jun 2, 2011 2:00:06 AM recent gingerbread update from froyo, market updated firefox, ran then fc
May 24, 2011 6:48:58 AM keeps crashing.  HTC hd2
Severity: normal → critical
I try to port a Xulrunner app. on Android and I'm also deeply impacted by this bug!

Although I'm perfectly able to compile central or aurora (mobile target) for ARM, to build the apk and load it in the Google Android emulator... I'm stuck : it's simply impossible for me to start Fennec.

I always get the following error and the Fennec app. does not start at all:
I/GeckoApp(  438): create
I/GeckoApp(  438): Checking for an update
I/GeckoApp(  438): start
I/GeckoApp(  438): resume
W/dalvikvm(  438): threadid=9: thread exiting with uncaught exception (group=0x40014760)
E/AndroidRuntime(  438): FATAL EXCEPTION: Thread-11
E/AndroidRuntime(  438): java.lang.UnsatisfiedLinkError: Couldn't load mozutils: findLibrary returned null
E/AndroidRuntime(  438): 	at java.lang.Runtime.loadLibrary(Runtime.java:425)
E/AndroidRuntime(  438): 	at java.lang.System.loadLibrary(System.java:554)
E/AndroidRuntime(  438): 	at org.mozilla.gecko.GeckoAppShell.loadGeckoLibs(GeckoAppShell.java:281)
E/AndroidRuntime(  438): 	at org.mozilla.gecko.GeckoApp$4.run(GeckoApp.java:432)
E/AndroidRuntime(  438): 	at java.lang.Thread.run(Thread.java:1020)
W/ActivityManager(   74):   Force finishing activity org.mozilla.fennec_kelson/.App
W/WindowManager(   74): Failure taking screenshot for (230x135) to layer 21010
I/GeckoApp(  438): pause
I/GeckoSurfaceView(  438): surface created
I/GeckoSurfaceView(  438): skipping splash screen
I/GeckoSurfaceView(  438): skipping splash screen
I/GeckoSurfaceView(  438): surfaceChanged: fmt: 4 dim: 1280 752
I/GeckoSurfaceView(  438): surface destroyed
I/GeckoApp(  438): stop
I/GeckoApp(  438): destroy

I guess this is not fixed (otherwise the ticket would not be still open)... but does someone has a workaround? Or has a timeline for the fix?
Closing all opened bug in a graveyard component
Status: NEW → RESOLVED
Closed: 8 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.